public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mario Kicherer" <dev@kicherer.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gamerlay:master commit in: games-util/steam-meta/, games-util/steam-games-meta/, ...
Date: Wed, 29 May 2013 18:27:23 +0000 (UTC)	[thread overview]
Message-ID: <1369852024.b05b2bbf69a653960faf8cbf820e02583af87fa5.anyc@gentoo> (raw)

commit:     b05b2bbf69a653960faf8cbf820e02583af87fa5
Author:     Mario Kicherer <dev <AT> kicherer <DOT> org>
AuthorDate: Wed May 29 18:23:17 2013 +0000
Commit:     Mario Kicherer <dev <AT> kicherer <DOT> org>
CommitDate: Wed May 29 18:27:04 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=b05b2bbf

[games-util/steam-*] new launcher version 39, sync with steam-overlay

---
 .../steam-client-meta-0-r20130514.ebuild           | 118 +++++++++++++++++
 .../steam-games-meta-0-r20130312.ebuild            |   2 +-
 .../steam-launcher/steam-launcher-1.0.0.38.ebuild  | 143 ---------------------
 ...36.ebuild => steam-launcher-1.0.0.39-r2.ebuild} |  33 ++---
 .../steam-meta/steam-meta-0-r20130514.ebuild       |  25 ++++
 5 files changed, 158 insertions(+), 163 deletions(-)

diff --git a/games-util/steam-client-meta/steam-client-meta-0-r20130514.ebuild b/games-util/steam-client-meta/steam-client-meta-0-r20130514.ebuild
new file mode 100644
index 0000000..5e32200
--- /dev/null
+++ b/games-util/steam-client-meta/steam-client-meta-0-r20130514.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit pax-utils
+
+# Please report bugs/suggestions on: https://github.com/anyc/steam-overlay
+# or come to #gentoo-gamerlay in freenode IRC
+
+DESCRIPTION="Meta package for Valve's native Steam client"
+HOMEPAGE="http://steampowered.com"
+SRC_URI=""
+LICENSE="metapackage"
+
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="flash trayicon video_cards_intel"
+
+RDEPEND="
+		virtual/opengl
+
+		media-fonts/font-mutt-misc
+		|| ( media-fonts/font-bitstream-100dpi media-fonts/font-adobe-100dpi )
+
+		amd64? (
+			>=sys-devel/gcc-4.6.0[multilib]
+			>=sys-libs/glibc-2.15[multilib]
+			>=media-libs/libsdl-2.0.0_pre6964:2[abi_x86_32]
+			app-emulation/steam-runtime-bin
+
+			>=app-emulation/emul-linux-x86-baselibs-20121202
+			>=app-emulation/emul-linux-x86-gtklibs-20121202
+			>=app-emulation/emul-linux-x86-opengl-20121202
+			>=app-emulation/emul-linux-x86-sdl-20121202
+			>=app-emulation/emul-linux-x86-soundlibs-20121202
+			|| (
+				>=app-emulation/emul-linux-x86-xlibs-20121202
+				(
+					x11-libs/libX11[abi_x86_32]
+					x11-libs/libXcomposite[abi_x86_32]
+					x11-libs/libXcursor[abi_x86_32]
+					x11-libs/libXdamage[abi_x86_32]
+					x11-libs/libXext[abi_x86_32]
+					x11-libs/libXfixes[abi_x86_32]
+					media-libs/fontconfig[abi_x86_32]
+					media-libs/freetype[abi_x86_32]
+					x11-libs/libXi[abi_x86_32]
+					x11-libs/libXinerama[abi_x86_32]
+					x11-libs/libXrandr[abi_x86_32]
+					x11-libs/libXrender[abi_x86_32]
+				)
+			)
+
+			trayicon? ( >=dev-libs/libappindicator-12.10.0-r1[-gtk3,abi_x86_32] )
+
+			flash? ( www-plugins/adobe-flash[32bit] )
+			)
+		x86? (
+			dev-libs/glib:2
+			dev-libs/libgcrypt
+			dev-libs/nspr
+			dev-libs/nss
+			media-libs/alsa-lib
+			media-libs/fontconfig
+			media-libs/freetype:2
+			media-libs/libjpeg-turbo
+			media-libs/libogg
+			media-libs/libpng:1.2
+			>=media-libs/libsdl-2.0.0_pre6964
+			media-libs/libtheora
+			media-libs/libvorbis
+			media-libs/openal
+			media-sound/pulseaudio
+			net-misc/curl
+			net-print/cups
+			sys-apps/dbus
+			>=sys-devel/gcc-4.6.0
+			>=sys-libs/glibc-2.15
+			>=sys-libs/zlib-1.2.4
+			x11-libs/cairo
+			x11-libs/gdk-pixbuf
+			x11-libs/gtk+:2
+			>=x11-libs/libX11-1.5
+			x11-libs/libXext
+			x11-libs/libXfixes
+			x11-libs/libXi
+			x11-libs/libXrandr
+			x11-libs/libXrender
+			x11-libs/pango
+			>=x11-libs/pixman-0.24.4
+
+			trayicon? ( =dev-libs/libappindicator-12.10.0-r1[-gtk3] )
+			flash? ( www-plugins/adobe-flash )
+			video_cards_intel? ( >=media-libs/mesa-9 )
+			)"
+
+pkg_postinst() {
+	elog "This is only a meta package that pulls in the required"
+	elog "dependencies for the steam client."
+	elog ""
+
+	if use flash; then
+		elog "In order to use flash, link the 32bit libflashplayer.so to"
+		elog "\${STEAM_FOLDER}/ubuntu12_32/plugins/"
+		elog ""
+	fi
+
+	if host-is-pax; then
+		elog "If you're using PAX, please see:"
+		elog "http://wiki.gentoo.org/wiki/Steam#Hardened_Gentoo"
+		elog ""
+	fi
+	
+	ewarn "The steam client and the games are not controlled by"
+	ewarn "portage. Updates are handled by the client itself."
+}

diff --git a/games-util/steam-games-meta/steam-games-meta-0-r20130312.ebuild b/games-util/steam-games-meta/steam-games-meta-0-r20130312.ebuild
index 46156e6..c837e71 100644
--- a/games-util/steam-games-meta/steam-games-meta-0-r20130312.ebuild
+++ b/games-util/steam-games-meta/steam-games-meta-0-r20130312.ebuild
@@ -107,7 +107,7 @@ pkg_postinst() {
 		elog "accordingly."
 		elog ""
 	fi
-	elog "Ebuild development website: https://github.com/anyc/steam-overlay"
+	elog "Ebuild development website: http://github.com/anyc/steam-overlay"
 	elog ""
 	elog "If you have problems, please also see http://wiki.gentoo.org/wiki/Steam"
 }

diff --git a/games-util/steam-launcher/steam-launcher-1.0.0.38.ebuild b/games-util/steam-launcher/steam-launcher-1.0.0.38.ebuild
deleted file mode 100644
index 35a64cb..0000000
--- a/games-util/steam-launcher/steam-launcher-1.0.0.38.ebuild
+++ /dev/null
@@ -1,143 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-# Please report bugs/suggestions on: https://github.com/anyc/steam-overlay
-# or come to #gentoo-gamerlay in freenode IRC
-
-inherit eutils gnome2-utils fdo-mime
-
-DESCRIPTION="Supplementary files for Valve's Steam client for Linux"
-HOMEPAGE="http://steampowered.com"
-
-if [[ "${PV}" == "9999" ]] ; then
-	SRC_URI="http://repo.steampowered.com/steam/archive/precise/steam_latest.deb"
-	KEYWORDS=""
-else
-	SRC_URI="http://repo.steampowered.com/steam/archive/precise/steam_${PV}.tar.gz"
-	KEYWORDS="-* ~amd64 ~x86"
-fi
-
-LICENSE="ValveSteamLicense"
-
-RESTRICT="bindist mirror"
-SLOT="0"
-IUSE="-steamruntime"
-
-RDEPEND="
-		app-arch/xz-utils
-		app-shells/bash
-		net-misc/curl
-		|| (
-			gnome-extra/zenity
-			x11-terms/xterm
-			)
-
-		amd64? (
-			>=app-emulation/emul-linux-x86-baselibs-20121028
-			|| (
-				>=app-emulation/emul-linux-x86-xlibs-20121028
-				(
-					x11-libs/libX11[abi_x86_32]
-					x11-libs/libXau[abi_x86_32]
-		                        x11-libs/libxcb[abi_x86_32]
-		                        x11-libs/libXdmcp[abi_x86_32]
-				)
-			)
-			>=sys-devel/gcc-4.6.0[multilib]
-			>=sys-libs/glibc-2.15[multilib]
-			)
-		x86? (
-			>=sys-devel/gcc-4.6.0
-			>=sys-libs/glibc-2.15
-			>=x11-libs/libX11-1.5
-			x11-libs/libXau
-			x11-libs/libxcb
-			x11-libs/libXdmcp
-			)"
-
-S=${WORKDIR}/steam/
-
-src_prepare() {
-	if [[ "${PV}" != "9999" ]] ; then
-		if ! use steamruntime; then
-			# use system libraries
-			sed -i -r 's/#(if \[ -z "\$STEAM_RUNTIME" \]; then)/\1/' steam
-			sed -i -r "s/#	STEAM_RUNTIME=1/ export STEAM_RUNTIME=0/" steam
-			sed -i -r "s/#(fi)/\1/" steam
-		fi
-
-		# we use our ebuild functions to install the files
-		rm Makefile
-	fi
-}
-
-src_install() {
-	dobin steam
-
-	insinto /usr/lib/steam/
-	doins bootstraplinux_ubuntu12_32.tar.xz
-
-	dodoc debian/changelog steam_install_agreement.txt
-	doman steam.6
-
-	domenu steam.desktop
-
-	cd icons/
-	for s in * ; do
-		doicon -s ${s} ${s}/steam.png
-	done
-
-	# tgz archive contains no separate pixmap, see #38
-	insinto /usr/share/pixmaps/
-	newins 48/steam.png steam_tray_mono.png
-}
-
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
-pkg_postinst() {
-	fdo-mime_desktop_database_update
-	gnome2_icon_cache_update
-
-	ewarn "This ebuild only installs the launcher. To start the client"
-	ewarn "and play games, you'll need further libraries that you can"
-	ewarn "pull in using the steam-meta ebuild."
-	ewarn ""
-
-	elog "Execute /usr/bin/steam to download and install the actual"
-	elog "client into your home folder. After installation, the script"
-	elog "also starts the client from your home folder."
-	elog ""
-
-	if use steamruntime; then
-		ewarn "You enabled the steam runtime environment. Steam will use bundled"
-		ewarn "libraries instead of system libraries which is _not_ supported."
-		ewarn ""
-	else
-		elog "We disable STEAM_RUNTIME in order to ignore bundled libraries"
-		elog "and use installed system libraries instead. If you have problems,"
-		elog "try starting steam with: STEAM_RUNTIME=1 steam"
-		elog ""
-		ewarn "Due to new dependencies, the steam beta client currently only works"
-		ewarn "with steam runtime enabled."
-		ewarn ""
-	fi
-
-	if ! has_version "gnome-extra/zenity"; then
-		ewarn "Valve does not provide a xterm fallback for all calls of zenity."
-		ewarn "Please install gnome-extra/zenity for full support."
-		ewarn ""
-	fi
-
-	ewarn "The steam client and the games are _not_ controlled by portage."
-	ewarn "Updates are handled by the client itself."
-}
-
-pkg_postrm() {
-	fdo-mime_desktop_database_update
-	gnome2_icon_cache_update
-}

diff --git a/games-util/steam-launcher/steam-launcher-1.0.0.36.ebuild b/games-util/steam-launcher/steam-launcher-1.0.0.39-r2.ebuild
similarity index 74%
rename from games-util/steam-launcher/steam-launcher-1.0.0.36.ebuild
rename to games-util/steam-launcher/steam-launcher-1.0.0.39-r2.ebuild
index 783de06..ff579d4 100644
--- a/games-util/steam-launcher/steam-launcher-1.0.0.36.ebuild
+++ b/games-util/steam-launcher/steam-launcher-1.0.0.39-r2.ebuild
@@ -24,7 +24,7 @@ LICENSE="ValveSteamLicense"
 
 RESTRICT="bindist mirror"
 SLOT="0"
-IUSE="-steamruntime"
+IUSE="steamruntime"
 
 RDEPEND="
 		app-arch/xz-utils
@@ -42,8 +42,8 @@ RDEPEND="
 				(
 					x11-libs/libX11[abi_x86_32]
 					x11-libs/libXau[abi_x86_32]
-		                        x11-libs/libxcb[abi_x86_32]
-		                        x11-libs/libXdmcp[abi_x86_32]
+					x11-libs/libxcb[abi_x86_32]
+					x11-libs/libXdmcp[abi_x86_32]
 				)
 			)
 			>=sys-devel/gcc-4.6.0[multilib]
@@ -64,9 +64,7 @@ src_prepare() {
 	if [[ "${PV}" != "9999" ]] ; then
 		if ! use steamruntime; then
 			# use system libraries
-			sed -i -r 's/#(if \[ -z "\$STEAM_RUNTIME" \]; then)/\1/' steam
-			sed -i -r "s/#	STEAM_RUNTIME=1/ export STEAM_RUNTIME=0/" steam
-			sed -i -r "s/#(fi)/\1/" steam
+			sed -i -r "s/(export TEXTDOMAIN=steam)/\1\nif \[ -z \"\$STEAM_RUNTIME\" \]; then export STEAM_RUNTIME=0; fi/" steam || die
 		fi
 
 		# we use our ebuild functions to install the files
@@ -103,25 +101,22 @@ pkg_postinst() {
 	fdo-mime_desktop_database_update
 	gnome2_icon_cache_update
 
-	ewarn "This ebuild only installs the launcher. To start the client"
-	ewarn "and play games, you'll need further libraries that you can"
-	ewarn "pull in using the steam-meta ebuild."
-	ewarn ""
-
 	elog "Execute /usr/bin/steam to download and install the actual"
 	elog "client into your home folder. After installation, the script"
 	elog "also starts the client from your home folder."
 	elog ""
 
-	if use steamruntime; then
-		ewarn "You enabled the steam runtime environment. Steam will use bundled"
-		ewarn "libraries instead of system libraries which is _not_ supported."
+ 	if use steamruntime; then
+ 		ewarn "You enabled the steam runtime environment. Steam will use bundled"
+ 		ewarn "libraries instead of Gentoo's system libraries."
+ 		ewarn ""
+ 	else
+ 		elog "We disable STEAM_RUNTIME in order to ignore bundled libraries"
+ 		elog "and use installed system libraries instead. If you have problems,"
+ 		elog "try starting steam with: STEAM_RUNTIME=1 steam"
+		ewarn ""
+ 		ewarn "Notice: Valve only supports Steam with the runtime enabled!"
 		ewarn ""
-	else
-		elog "We disable STEAM_RUNTIME in order to ignore bundled libraries"
-		elog "and use installed system libraries instead. If you have problems,"
-		elog "try starting steam with: STEAM_RUNTIME=1 steam"
-		elog ""
 	fi
 
 	if ! has_version "gnome-extra/zenity"; then

diff --git a/games-util/steam-meta/steam-meta-0-r20130514.ebuild b/games-util/steam-meta/steam-meta-0-r20130514.ebuild
new file mode 100644
index 0000000..16fd220
--- /dev/null
+++ b/games-util/steam-meta/steam-meta-0-r20130514.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+# Please report bugs/suggestions on: https://github.com/anyc/steam-overlay
+# or come to #gentoo-gamerlay in freenode IRC
+
+DESCRIPTION="Meta package for Valve's Steam environment"
+HOMEPAGE="https://steampowered.com"
+SRC_URI=""
+LICENSE="metapackage"
+
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="steamruntime"
+
+RDEPEND="
+		games-util/steam-launcher
+		!steamruntime? (
+			games-util/steam-client-meta
+			games-util/steam-games-meta
+		)
+		"


             reply	other threads:[~2013-05-29 18:27 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-05-29 18:27 Mario Kicherer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-06-02 10:00 [gentoo-commits] proj/gamerlay:master commit in: games-util/steam-meta/, games-util/steam-games-meta/, Mario Kicherer
2013-03-12 19:53 Mario Kicherer
2013-03-09 20:33 Mario Kicherer
2013-01-10 21:58 Mario Kicherer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1369852024.b05b2bbf69a653960faf8cbf820e02583af87fa5.anyc@gentoo \
    --to=dev@kicherer.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox